## podman 5.2.5

=== debian/changelog ===
podman (5.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches
  * tests/localsystem: Unbreak systemd unit file generation
  * Bump dependency on buildah, containers/storage,
    Fixes: CVE-2024-9675, CVE-2024-9676
  * fixes to autopkgtest/localsystem:
      - skip test 'podman network reload' to workaround #1085953
      - add missing dependencies (build-essential, libsystemd-dev)
      - Backport patches from upstream to fix timezone related test failures

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 25 Oct 2024 17:06:06 -0400

podman (5.2.4+ds1-1) unstable; urgency=medium

  * New upstream release
  * Tighten build-depends on buildah, container/common
    Fixes: CVE-2024-9407, CVE-2024-9341

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 17 Oct 2024 05:46:27 -0400

podman (5.2.3+ds1-4) unstable; urgency=medium

  * Add missing test dependencies
  * disable e2e tests for now

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 15 Oct 2024 05:57:52 -0400

podman (5.2.3+ds1-3) unstable; urgency=medium

  * Make buildtime display properly in 'podman version'
  * Suggest installation of containernetworking-plugins
  * test/system: ignore some tests that are broken on debian
  * Run e2e and system tests as autopkgtest, requires qemu
  * Clean up podman-docker shell completion when podman-doker
    is absent on upgrade, Closes: #1083242

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Oct 2024 08:09:12 -0400

podman (5.2.3+ds1-2) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Enable CNI networking for now, closes: #1079327
  * Reenable full salsa-ci pipeline
  * simplify builtin-test
  * builtin-tests: restrict to building the podman executable
  * fix source/lintian-override
  * Supress more "field-to-long" lintian warnings

  [ Guillem Jover ]
  * Do not hardcode gopsutil v3, closes: #1083117

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 02 Oct 2024 06:00:51 -0400

podman (5.2.3+ds1-1) unstable; urgency=medium

  * New upstream release 5.2.3

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 26 Sep 2024 18:20:26 -0400

podman (5.2.2+ds1-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 16 Sep 2024 15:31:01 -0400

podman (5.2.2+ds1-3) experimental; urgency=medium

  * Rename source package to 'podman', following upstream
  * fix autopkgtest/builtin-tests: exclude cmd/podman/machine

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 14 Sep 2024 10:21:52 -0400

libpod (5.2.2+ds1-2) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Merge from experimental
  * Ship etc/profile.d in the podman-docker package, Closes: #1080424
  * Fixup for fe0ce17dd1f040be77182f8b5a5c884c49d30b5d
  * Add appropriate Breaks/Replaces for podman-docker, Closes: #1080424

  [ Faidon Liambotis ]
  * Ship completions for the fish shell (Closes: #1080291)
  * Bump Standards-Version to 4.7.0

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 10 Sep 2024 07:42:57 -0400

libpod (5.2.2+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Sep 2024 18:45:58 -0400

libpod (5.2.1+ds1-4) unstable; urgency=medium

  * Add appropriate Breaks/Replaces for podman-docker, Closes: #1080424

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 04 Sep 2024 06:20:50 -0400

libpod (5.2.1+ds1-3) unstable; urgency=medium

  * Don't set HOME unnecessarily, fixes LP: #2077610
  * Ship etc/profile.d in the podman-docker package, Closes: #1080424

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 03 Sep 2024 18:23:12 -0400

libpod (5.2.1+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:39:04 -0400

libpod (5.2.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Tighten dependencies on containers/{image,common,buildah}
  * supress lintian error: field-too-long Built-Using

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 20:27:27 -0400

libpod (5.2.0+ds1-6) experimental; urgency=medium

  * Merge in changes from branch 'debian/sid':
    - Pick up changes to move alias files to /usr, Closes: #1078552

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 07:48:39 -0400

libpod (5.2.0+ds1-5) experimental; urgency=medium

  * Add sanity checks to podman-hello-world
  * autopkgtest that run podman require isolation-machine
  * Tighten build-depends on buildah

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 11 Aug 2024 08:41:27 -0400

libpod (5.2.0+ds1-4) experimental; urgency=medium

  * Recommend 'netavark'

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 Aug 2024 14:48:13 -0400

libpod (5.2.0+ds1-3) experimental; urgency=medium

  * Tighten build deps on golang-github-opencontainers-runc-dev
  * Install recommends for tests
  * Implement autopkgtest 'podman-info' into its own shell script
  * Add recommends to ca-certificates
  * Add test that runs hello-world
  * Fix autopkgtest failure in qemu

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Aug 2024 14:49:49 -0400

libpod (5.2.0+ds1-2) experimental; urgency=medium

  * Tighten dependencies on containers/{storage,image,common}

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 08:11:05 -0400

libpod (5.2.0+ds1-1) experimental; urgency=medium

  * New upstream release: 5.2.0
  * Drop unneded patches
  * Tighten deps on go-criu and checkpointctl
  * Revert upstream change to compile against docker version 26.1
  * Promote 'Suggests' on 'containers-storage' to Recommends,
    Closes: #1065732, 1062176

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 06:47:16 -0400

libpod (5.0.3+ds1-5) unstable; urgency=medium

  * Team Upload.
  * Add netavark to Depends (Fixes autopkgtest)

 -- Nilesh Patra <nilesh@iki.fi>  Sun, 28 Jul 2024 23:09:36 +0530

libpod (5.0.3+ds1-4) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable


