## podman 5.3.1+ds1

=== debian/changelog ===
podman (5.3.1+ds1-7) unstable; urgency=medium

  * autopkgtest: Make sure that containers-storage is present
  * Come up with better names for the integration tests
  * Revise some integration test skips
  * Drop tolerate-lchown.patch
  * Drop the disable system_dial_stdio test

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 10 Dec 2024 13:44:53 -0500

podman (5.3.1+ds1-6) unstable; urgency=medium

  * localintegration tests: Rename helper variable to GINKGO_EXTRA_FLAGS
  * integration-tests: Ignore os.Lchown failures

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 06 Dec 2024 08:13:07 -0500

podman (5.3.1+ds1-5) unstable; urgency=medium

  * Automatically retry flaky tests
  * Pass BUILDTAGS with spaces instead of ','
  * Add rootless integration tests

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Dec 2024 09:46:34 -0500

podman (5.3.1+ds1-4) unstable; urgency=medium

  * autopkgtest/e2e: Bump total timeout 20m -> 90m
  * Rename patches

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Dec 2024 09:00:49 -0500

podman (5.3.1+ds1-3) unstable; urgency=medium

  * e2e integration tests: double the default timeout
  * builtin-tests: Set buildtags to expand test coverage

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Dec 2024 08:53:39 -0500

podman (5.3.1+ds1-2) unstable; urgency=medium

  * Remove a number of redundant build-dependencies
  * autopkgtest:
     - Restrict qemu tests to amd64
     - Enable built-in tests
     - Enable e2e tests
     - Split out and expand patches for e2e tests
  * Fix testdata installation

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Nov 2024 17:49:45 -0500

podman (5.3.1+ds1-1) unstable; urgency=medium

  * new upstream release
  * autopkgtest/builtin-tests: disable to workaround #1088235

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 25 Nov 2024 11:26:43 -0500

podman (5.3.0+ds1-3) unstable; urgency=medium

  * Update patches to disable shell completion system tests

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Nov 2024 10:05:42 -0500

podman (5.3.0+ds1-2) experimental; urgency=medium

  * Merge in lost fixes to system tests from unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 15 Nov 2024 11:51:57 -0500

podman (5.3.0+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Tighten build dependencies
  * refresh patches
  * build-depend on golang-github-kevinburke-ssh-config-dev
  * Normalize fields with wrap-and-sort
  * TestUnitDirs: Skip when CLONE_NEWUSER fails

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 14 Nov 2024 10:56:37 -0500
