=== debian/control ===
--- 
+++ 
@@ -12,85 +12,53 @@
                dh-golang,
                go-md2man,
                golang-dbus-dev,
-               golang-ginkgo-dev,
                golang-github-appc-cni-dev,
                golang-github-buger-goterm-dev,
-               golang-github-checkpoint-restore-checkpointctl-dev (>> 1.2.1),
-               golang-github-checkpoint-restore-go-criu-dev (>> 7),
-               golang-github-container-orchestrated-devices-container-device-interface-dev,
-               golang-github-containerd-cgroups-dev,
-               golang-github-containers-buildah-dev (>= 1.37.5~),
-               golang-github-containers-common-dev (>= 0.60.4~),
+               golang-github-checkpoint-restore-checkpointctl-dev (>> 1.3),
+               golang-github-checkpoint-restore-go-criu-dev (>> 7.2),
+               golang-github-containers-buildah-dev (>= 1.38),
+               golang-github-containers-common-dev (>= 0.61),
                golang-github-containers-conmon-dev,
-               golang-github-containers-gvisor-tap-vsocks-dev (>= 0.7.3),
-               golang-github-containers-image-dev (>= 5.32.2),
+               golang-github-containers-gvisor-tap-vsocks-dev (>= 0.7.4),
+               golang-github-containers-image-dev (>= 5.33),
                golang-github-containers-ocicrypt-dev,
                golang-github-containers-psgo-dev,
-               golang-github-containers-storage-dev (>= 1.55.1),
+               golang-github-containers-storage-dev (>= 1.56),
                golang-github-coreos-bbolt-dev,
-               golang-github-coreos-go-iptables-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-coreos-stream-metadata-go-dev,
                golang-github-crc-org-crc-dev,
                golang-github-cyphar-filepath-securejoin-dev,
-               golang-github-digitalocean-go-libvirt-dev,
                golang-github-digitalocean-go-qemu-dev,
-               golang-github-docker-distribution-dev,
                golang-github-docker-docker-dev (>> 26.1),
                golang-github-docker-go-connections-dev,
                golang-github-docker-go-plugins-helpers-dev,
                golang-github-docker-go-units-dev,
-               golang-github-docker-spdystream-dev,
-               golang-github-dtylman-scp-dev,
                golang-github-fullsailor-pkcs7-dev,
-               golang-github-ghodss-yaml-dev,
                golang-github-go-logr-logr-dev,
                golang-github-google-shlex-dev,
                golang-github-google-uuid-dev,
                golang-github-gorilla-schema-dev,
                golang-github-hashicorp-go-multierror-dev,
                golang-github-json-iterator-go-dev,
+               golang-github-kevinburke-ssh-config-dev,
                golang-github-mattn-go-sqlite3-dev,
                golang-github-mdlayher-vsock-dev,
-               golang-github-moby-sys-dev,
                golang-github-moby-term-dev,
-               golang-github-mrunalp-fileutils-dev,
                golang-github-nxadm-tail-dev,
+               golang-github-onsi-ginkgo-v2-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev (>= 1.1.0),
                golang-github-opencontainers-runc-dev (>= 1.1.12+ds1-4),
                golang-github-opencontainers-runtime-tools-dev (>= 0.9.0+dfsg-3~),
                golang-github-opencontainers-selinux-dev (>= 1.11~),
-               golang-github-openshift-imagebuilder-dev,
-               golang-github-pkg-errors-dev,
-               golang-github-pkg-profile-dev,
                golang-github-rootless-containers-rootlesskit-dev (>> 2),
-               golang-github-seccomp-libseccomp-golang-dev,
                golang-github-shirou-gopsutil-dev,
-               golang-github-sirupsen-logrus-dev,
-               golang-github-stretchr-testify-dev,
-               golang-github-ulikunitz-xz-dev,
-               golang-github-vbatts-tar-split-dev,
                golang-github-vbauerster-mpb-dev (>= 8),
                golang-github-vishvananda-netlink-dev,
-               golang-github-vividcortex-ewma-dev,
                golang-go,
-               golang-go-zfs-dev,
-               golang-go.opencensus-dev,
-               golang-golang-x-crypto-dev,
-               golang-golang-x-net-dev,
-               golang-golang-x-sys-dev,
-               golang-golang-x-text-dev,
-               golang-golang-x-tools,
-               golang-golang-x-xerrors-dev,
-               golang-gomega-dev,
-               golang-google-genproto-dev,
-               golang-google-grpc-dev,
                golang-gopkg-inf.v0-dev,
-               golang-gopkg-square-go-jose.v2-dev,
                golang-gopkg-yaml.v3-dev,
-               golang-k8s-klog-dev,
-               golang-k8s-sigs-structured-merge-diff-dev,
                golang-k8s-sigs-yaml-dev,
                golang-toml-dev,
                libapparmor-dev,
