=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 export DH_GOLANG_GO_GENERATE := 1
 
-export DH_GOLANG_INSTALL_EXTRA := cni utils/testdata test/e2e/testdata pkg/trust/testdata
+export DH_GOLANG_INSTALL_EXTRA := cni test/e2e/testdata pkg/trust/testdata pkg/machine/compression/testdata
 
 export DH_GOLANG_EXCLUDES := \
 	contrib/perftest \
@@ -45,10 +45,8 @@
 	podman/cmd/podman/common
 
 ## https://podman.io/getting-started/installation#build-tags
-BUILDTAGS := apparmor,seccomp,selinux,systemd,libsubid,cni
-BUILDTAGS_REMOTE := remote,exclude_graphdriver_btrfs,btrfs_noversion,exclude_graphdriver_devicemapper,containers_image_openpgp
-
-# containers_image_openpgp
+BUILDTAGS = apparmor seccomp selinux systemd libsubid cni
+BUILDTAGS_REMOTE = remote exclude_graphdriver_btrfs btrfs_noversion exclude_graphdriver_devicemapper containers_image_openpgp
 
 %:
 	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_output
