## podman 5.3.2+ds1

=== debian/changelog ===
podman (5.3.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: tighten dependencies
    Build against build 1.38.1 which includes a TOCTOU fix: CVE-2024-11218
  * Recommend criu and libcriu. This is required for podman snapshot features
    to work.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 27 Jan 2025 06:57:58 -0500
