=== debian/control ===
--- 
+++ 
@@ -16,14 +16,14 @@
                golang-github-buger-goterm-dev,
                golang-github-checkpoint-restore-checkpointctl-dev (>> 1.3),
                golang-github-checkpoint-restore-go-criu-dev (>> 7.2),
-               golang-github-containers-buildah-dev (>= 1.38),
-               golang-github-containers-common-dev (>= 0.61),
+               golang-github-containers-buildah-dev (>= 1.38.1),
+               golang-github-containers-common-dev (>= 0.61.1),
                golang-github-containers-conmon-dev,
                golang-github-containers-gvisor-tap-vsocks-dev (>= 0.7.4),
-               golang-github-containers-image-dev (>= 5.33),
+               golang-github-containers-image-dev (>= 5.33.1),
                golang-github-containers-ocicrypt-dev,
                golang-github-containers-psgo-dev,
-               golang-github-containers-storage-dev (>= 1.56),
+               golang-github-containers-storage-dev (>= 1.56.1),
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-coreos-stream-metadata-go-dev,
@@ -84,7 +84,9 @@
             ca-certificates,
             catatonit | tini | dumb-init,
             containers-storage,
+            criu,
             dbus-user-session,
+            libcriu2,
             passt,
             slirp4netns,
             uidmap,
