=== debian/changelog ===
podman (5.4.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches, drop patches merged upstream
  * Tighten build dependencies on containers/{storage,image,common,buildah}

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Feb 2025 08:51:11 -0500
