## podman 5.4.1%2Bds1

=== debian/changelog ===
podman (5.4.1+ds1-1) unstable; urgency=medium

  [Paul Holzinger]
  * debian/rules: set "Build Origin" field to track distro origin

  [Reinhard Tartler]
  * New upstream release
  * system-tests: re-enable tar tests, but ignore a basic timeout-related
    test. Needs more investigation.
  * No longer enable systemd system *and* user services, such as
    podman.{service,socket}, podman-auto-update.timer,
    podman-clean-transient.service, etc.  For rationale and background,
    please refer to debian/NEWS, Closes: #1095048, 1095221, 1098808

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 20 Mar 2025 09:36:49 -0400
