=== debian/tests/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
          skopeo,
          slirp4netns,
          socat,
+         xfsprogs,
          @,
          @recommends@
 Restrictions: allow-stderr,
