=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/vendor.mk
 
 # cf. https://wiki.debian.org/ToolChain/LTO and https://github.com/golang/go/issues/45275
 export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
@@ -66,10 +67,12 @@
 	$(MAKE) docs docker-docs GOMD2MAN=/usr/bin/go-md2man
 	DH_GOLANG_BUILDPKG="github.com/containers/podman/cmd/podman" \
 	dh_auto_build -v  --builddirectory=_output -- -tags "$(BUILDTAGS_REMOTE)" \
-          -ldflags "-X github.com/containers/podman/libpod/define.buildInfo=$(SOURCE_DATE_EPOCH)"
+          -ldflags "-X github.com/containers/podman/libpod/define.buildInfo=$(SOURCE_DATE_EPOCH) \
+                    -X github.com/containers/podman/libpod/define.buildOrigin=$(DEB_VENDOR)"
 	mv _output/bin/podman _output/bin/podman-remote
 	dh_auto_build -v  --builddirectory=_output -- -tags "$(BUILDTAGS)" \
-          -ldflags "-X github.com/containers/podman/libpod/define.buildInfo=$(SOURCE_DATE_EPOCH)"
+          -ldflags "-X github.com/containers/podman/libpod/define.buildInfo=$(SOURCE_DATE_EPOCH) \
+                    -X github.com/containers/podman/libpod/define.buildOrigin=$(DEB_VENDOR)"
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -112,6 +115,8 @@
 	rm -f --verbose $(CURDIR)/debian/podman-docker/usr/share/man/man1/dockersh.1*
 
 override_dh_installsystemd:
-	dh_installsystemd
-	dh_installsystemd --name=podman-auto-update
-	dh_installsystemd --name=podman-restart
+	dh_installsystemd --no-enable --no-start
+
+override_dh_installsystemduser:
+	dh_installsystemduser --no-enable
+
