## podman 5.4.2%2Bds1

=== debian/changelog ===
podman (5.4.2+ds1-2) unstable; urgency=medium

  * Team upload
  * Apply fix for CVE-2025-6032 (Closes: #1108473)

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 08 Jul 2025 07:15:12 +0000

podman (5.4.2+ds1-1) unstable; urgency=medium

  * Drop patches no longer needed
  * Fixed a bug where the `podman import` command could not import images
    compressed with algorithms other than gzip

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Apr 2025 17:48:53 -0400

podman (5.4.1+ds1-3) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Backport upstream PRs #25340 and #25350, adapting e2e tests for
    compatibility with crun >= 1.21.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 01 Apr 2025 14:23:52 -0400

podman (5.4.1+ds1-2) unstable; urgency=medium

  * disable the cni backend
  * Fix possible deadlock in podman cp, Closes: #1101414
  * Stop shipping obsolete libpod.conf

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 27 Mar 2025 10:06:13 -0400
